/*==============================================================================*/
/*  Copyright (C) 2009-2016, Heartland Data inc. All Rights Reserved.           */
/*                                                                              */
/*  Title  :   Data Writing Driver                                              */
/*  EventID:   Via the driver                                                   */
/*  AppVer :   DT10 Ver10.XX`                                                  */
/*  FileID :   39c                                                              */
/*  Version:   2.2                                                              */
/*  Author :   HLDC                                                             */
/*==============================================================================*/
#include <stdio.h>
#include <fcntl.h>
#include <string.h>
#include <unistd.h>

#define DT10_READ_BUFF_SIZE	4096
#define CONVERT_FILE		"/mnt/sdcard/Convert.DAT"	/* Customize */
#define DT10_DRV		"/proc/dt10proc"

int main(void)
{
	int fh = -1;
	FILE *fd = NULL;
	int len = 0, tmp = 0;
	char buff[DT10_READ_BUFF_SIZE];

	memset(buff, 0x0, DT10_READ_BUFF_SIZE); 

	fh = open(DT10_DRV,O_RDWR);
	fd = fopen(CONVERT_FILE, "wb");

	if (fh > 0 && fd != NULL) {
		do {
			tmp = read(fh, buff, DT10_READ_BUFF_SIZE);
			if (tmp > 0) {
				fwrite(buff, sizeof(char), tmp, fd);
				len += tmp;
			}
		} while (tmp > 0);
		printf ("\n >>>%d bytes saved.\n", len);

		fclose(fd);
		close(fh);
	}
	return len;
}
